Subject: Re: ksh93? -- also u/win question
From: "Gary V. Vaughan" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Fri, 9 Feb 2001 19:18:18 +0000

Hi Robert,

On Thu, Feb 08, 2001 at 04:25:22PM +1100, Robert Collins wrote:
> I successfully ported everthing but the glibmodule code & the esound
> interface. After a few abortive enquiries here (helpful answers but I
> did not know enough about dlopen* to debug what was happening) I left it
> for dead. I believe someone else has had a bit more success.  And yes
> the xfree86 (www.cygwin.com/xfree86) port worked with what I built. I
> still have the source tree with the patched files around somewhere.
> 
> 100 lines of source sounds about right. Took me two days :] (I skipped
> the gmodules once I had it building.. it was failing on tests not
> compilation).
> 
> Corba was trivial (Thanks to cygwin's support for domain sockets et
> al)... Even hacked it to support win9x, although with a commensurate
> loss of security.
> 
> So if someone that groks libtool & dlopen & libtldl properly wants to
> collaborate on this... let me know. 

I'm working on the gmodule thing as we speak.  Tim(?) Janik from the
gtk team has agreed to review a patch from me to rip the guts out of
gmodule and wrap it around libltdl -- hopefully in time for gtk+-2.0.

I have it mostly working.  The difficult part is proving to be making
libltdl multi-thread safe so that gmodule is as thin a layer as
possible.   I'll let you know when I'm done (probably a week or so
from now).

Cheers,
	Gary.
-- 
  ___              _   ___   __              _         mailto: [email-masked]
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___       [email-masked] 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
home page:  /___/                      /___/                  gpg public key:
http://www.oranda.demon.co.uk           http://www.oranda.demon.co.uk/key.asc

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple